ISDNTELCTL(8) | System Manager's Manual | ISDNTELCTL(8)

# NAME

isdntelctl — control isdn4bsd telephone sound format conversion

# SYNOPSIS

isdntelctl | [-c] [-g] [-u unit] [-A] [-U] [-N]

# DESCRIPTION

isdntelctl is part of the isdn4bsd package and is used to configure the sound format conversion facilities of the /dev/isdntel interfaces.

The following options are available:

-c
  Clear the telephone input queue.
-g
  Get the sound format currently in use.
-u
  Set the /dev/isdntel unit number. The default value is zero to access device /dev/isdntel0.
-A
  Do A-law (ISDN line) -> mu-law (userland) conversion.
-U
  Do mu-law (ISDN line) -> A-law (userland) conversion.
-N
  Set sound conversion to do no format conversion.

The telephony data stream comes out of the line in a bit-reversed format, so the isdntel(4) driver does the bit-reversion process in any case.

Additionally, the user can specify to do A-law to mu-law, mu-law to A-law or no conversion at all in the isdntel driver by using the isdntelctl utility.

# FILES

/dev/isdntel<n>

# EXAMPLES

The command

    isdntelctl -g

displays the currently used sound format for device /dev/isdntel0.

# SEE ALSO

isdntel(4), isdnd.rc(5), isdnd(8)

# STANDARDS

A-law and mu-law are specified in ITU Recommendation G.711.

# AUTHORS

The isdntelctl utility and this man page were written by Hellmuth Michaelis <hm@kts.org>.

April 21, 1999 | NetBSD 6.0